io.vertx.ext.consul

## Class ServiceQueryOptions

- java.lang.Object
- - io.vertx.ext.consul.ServiceQueryOptions

-     public class ServiceQueryOptions
      extends Object

  Options used to requesting list of services
  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceQueryOptions()` Default constructor
    `ServiceQueryOptions(JsonObject json)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BlockingQueryOptions` | `getBlockingOptions()` Get options for blocking query
    `String` | `getNear()` Get node name for sorting the list in ascending order based on the estimated round trip time from that node.
    `String` | `getTag()` Get tag for filtering request results
    `ServiceQueryOptions` | `setBlockingOptions(BlockingQueryOptions options)` Set options for blocking query
    `ServiceQueryOptions` | `setNear(String near)` Set node name for sorting the list in ascending order based on the estimated round trip time from that node.
    `ServiceQueryOptions` | `setTag(String tag)` Set tag for filtering request results
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceQueryOptions

          public ServiceQueryOptions()

      Default constructor

    - #### ServiceQueryOptions

          public ServiceQueryOptions(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getNear

          public String getNear()

      Get node name for sorting the list in ascending order based on the estimated round trip time from that node.
      Returns:
        the node name

    - #### setNear

          public ServiceQueryOptions setNear(String near)

      Set node name for sorting the list in ascending order based on the estimated round trip time from that node.
      Parameters:
        `near` - the node name
      Returns:
        reference to this, for fluency

    - #### getTag

          public String getTag()

      Get tag for filtering request results
      Returns:
        the tag

    - #### setTag

          public ServiceQueryOptions setTag(String tag)

      Set tag for filtering request results
      Parameters:
        `tag` - the tag
      Returns:
        reference to this, for fluency

    - #### getBlockingOptions

          public BlockingQueryOptions getBlockingOptions()

      Get options for blocking query
      Returns:
        the blocking options

    - #### setBlockingOptions

          public ServiceQueryOptions setBlockingOptions(BlockingQueryOptions options)

      Set options for blocking query
      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency

Copyright © 2017. All rights reserved.